Class | Win32::Registry::Error
In: | Win32API/lib/win32/registry.rb
Parent: | ::StandardError

Error

### Methods

new

### Constants

FormatMessageA | = | Win32API.new('kernel32.dll', 'FormatMessageA', 'LPLLPLP', 'L')

### Attributes

code | [R] |

### Public Class methods

new(code)

[Source]

    # File Win32API/lib/win32/registry.rb, line 338
          def initialize(code)
            @code = code
            msg = "\0" * 1024
            len = FormatMessageA.call(0x1200, 0, code, 0, msg, 1024, 0)
            super msg[0, len].tr("\r", '').chomp
          end

[Validate]